import 'package:apus_drones_mobile/models/PictureToUploadModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'CreateProductModel.g.dart';

@JsonSerializable()
class CreateProductModel {
  final String name;
  final String description;
  final double price;
  final String status;
  final double weight;
  final DateTime createdAt;
  final int quantity;
  final List<PictureToUploadModel> files;
  final List<String> imagesUrls;

  CreateProductModel({
    required this.name,
    required this.description,
    required this.price,
    required this.status,
    required this.weight,
    required this.createdAt,
    required this.quantity,
    required this.files,
    required this.imagesUrls,
  });

  factory CreateProductModel.fromJson(Map<String, dynamic> json) =>
      _$CreateProductModelFromJson(json);
  Map<String, dynamic> toJson() => _$CreateProductModelToJson(this);
}
