import 'package:apus_drones_mobile/models/ProductModel.dart';
import 'package:json_annotation/json_annotation.dart';

import 'PartnerModel.dart';
import 'ProductModel.dart';

part 'SearchModel.g.dart';

@JsonSerializable()
//flutter packages pub run build_runner build --delete-conflicting-outputs
class SearchModel {
  final List<ProductModel> products;
  final List<PartnerModel> partners;

  SearchModel({
    required this.products,
    required this.partners,
  });

  factory SearchModel.fromJson(Map<String, dynamic> json) =>
      _$SearchModelFromJson(json);
  Map<String, dynamic> toJson() => _$SearchModelToJson(this);
}
