import 'dart:io';

import 'package:apus_drones_mobile/providers/AuthProvider.dart';

Future<Map<String, String>> getHttpHeaders() async {
  final headers = {"Content-Type": "application/json"};

  final token = await AuthProvider().getToken();
  if (token != null) {
    headers.addAll({HttpHeaders.authorizationHeader: "Bearer $token"});
  }

  return headers;
}
