import 'package:apus_drones_mobile/constants/OrderStatus.dart';
import 'package:flutter/material.dart';

class StatusButton extends StatelessWidget {
  final OrderStatus status;
  const StatusButton({Key? key, required this.status}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 100,
      alignment: Alignment.center,
      decoration: BoxDecoration(
          border: Border.all(color: status.color),
          borderRadius: BorderRadius.circular(20),
          color: Colors.grey.shade100),
      padding: const EdgeInsets.symmetric(vertical: 4, horizontal: 10),
      child: Text(
        status.label,
        textAlign: TextAlign.center,
      ),
    );
  }
}
