enum PartnerStatusEnum {
  PENDING,
  APPROVED,
  REJECTED,
}

extension PartnerStatusDescription on PartnerStatusEnum {
  String get label {
    switch (this) {
      case PartnerStatusEnum.PENDING:
        return 'Pendente';
      case PartnerStatusEnum.APPROVED:
        return 'Aceito';
      case PartnerStatusEnum.REJECTED:
        return 'Rejeitado';
      default:
        return 'Desconhecido';
    }
  }
}
