import 'package:apus_drones_mobile/models/PictureToUploadModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'UpdateProductModel.g.dart';

@JsonSerializable()
class UpdateProductModel {
  final int id;
  final String name;
  final String description;
  final double price;
  final String status;
  final double weight;
  final int quantity;
  final List<PictureToUploadModel>? files;
  final List<String>? removedImagesUrls;
  final String? mainImageUrl;

  UpdateProductModel({
    required this.id,
    required this.name,
    required this.description,
    required this.price,
    required this.status,
    required this.weight,
    required this.quantity,
    this.files,
    this.removedImagesUrls,
    this.mainImageUrl,
  });

  factory UpdateProductModel.fromJson(Map<String, dynamic> json) =>
      _$UpdateProductModelFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateProductModelToJson(this);
}
